net.corda.node.services.vault

## Class CashBalanceAsMetricsObserver

- net.corda.node.services.vault.CashBalanceAsMetricsObserver

-     public class CashBalanceAsMetricsObserver

  This class observes the vault and reflect current cash balances as exposed metrics in the monitoring service.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CashBalanceAsMetricsObserver(ServiceHubInternal serviceHubInternal, org.jetbrains.exposed.sql.Database database)` This class observes the vault and reflect current cash balances as exposed metrics in the monitoring service.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jetbrains.exposed.sql.Database` | `getDatabase()`
    `ServiceHubInternal` | `getServiceHubInternal()`

- - ### Constructor Detail

    - #### CashBalanceAsMetricsObserver

          public CashBalanceAsMetricsObserver(ServiceHubInternal serviceHubInternal,
                                              org.jetbrains.exposed.sql.Database database)

      This class observes the vault and reflect current cash balances as exposed metrics in the monitoring service.

  - ### Method Detail

    - #### getServiceHubInternal

          public ServiceHubInternal getServiceHubInternal()

    - #### getDatabase

          public org.jetbrains.exposed.sql.Database getDatabase()